osgUtil::ConvertVec< InType, OutType, InSize, OutSize > Struct Template Reference

`#include <ConvertVec>`

## Static Public Member Functions

static void | convert (InType &in, OutType &out)

## Member Function Documentation

## convert()

template<typename InType, typename OutType, unsigned int InSize = InType::num_components, unsigned int OutSize = OutType::num_components>

void osgUtil::ConvertVec< InType, OutType, InSize, OutSize >::convert | ( | InType & | in,
|  | OutType & | out )

inline static

Referenced by osgUtil::AddRangeOperator::process(), and osgUtil::MultiplyRangeOperator::process().

The documentation for this struct was generated from the following file:

- ConvertVec